%define name streamripstar
%define version 0.6.9
%define release %mkrel 1


Summary:    	GUI frontend for streamripper
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Sound
License:    	GPL
URL:        	http://sourceforge.net/projects/stripper/
Source0:     	http://sourceforge.net/projects/stripper/%{name}-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Requires:     	java 
Requires:       streamripper
BuildArch:      noarch
Obsoletes: 	%name < %version

%description
StreamRipStar is a stream player/streamripper written in java. 

%prep

%setup -q


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -af *.jar %{buildroot}/%{_libdir}/%{name}

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir,%_iconsdir}
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png


#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
java -jar StreamRipStar-%{version}.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=StreamRipStar
GenericName=StreamRipStar
Comment=Stream/Rip Internet Radio. 
Exec=%{name}
Icon=%{_liconsdir}/%{name}.png
Terminal=0
Type=Application
Categories=Player;Recorder;X-MandrivaLinux-Multimedia-Sound;
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*.jar

%changelog
* Tue Jul 21 2015 Ken <lxgator@gmail.com> 0.6.9-1pclos2015
- update version

* Wed Feb 27 2012 Ken <lxgator@gmail.com> 0.6.4-2pclos2013
- fix typo in Group

* Fri Jan 25 2012 Ken <lxgator@gmail.com> 0.6.4-1pclos2013
- first build
